Bug 697680

Summary: Review Request: surf-geometry - visualizer for real algebraic geometry
Product: [Fedora] Fedora Reporter: Jerry James <loganjerry>
Component: Package ReviewAssignee: Mario Blättermann <mario.blaettermann>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, marcus.moeller, mario.blaettermann, notting
Target Milestone: ---Flags: mario.blaettermann: fedora‑review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-28 11:39:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 700587    

Description Jerry James 2011-04-18 17:54:07 EDT
Spec URL: http://jjames.fedorapeople.org/surf-geometry/surf-geometry.spec
SRPM URL: http://jjames.fedorapeople.org/surf-geometry/surf-geometry-1.0.6-1.fc14.src.rpm
Description:  Surf is a tool to visualize some real algebraic geometry: plane algebraic curves, algebraic surfaces and hyperplane sections of surfaces.  The package is named surf-geometry because there is already a surf package, and a /usr/bin/surf binary, in Fedora.  Surf comes with a GTK 1.2 UI, which is disabled in this package.  More modern UIs are provided by the (to be submitted soon) packages surfer and surfex.  The surfer and surfex packages are dependencies of SINGULAR, which is a dependency of SAGE.
Comment 1 Mario Blättermann 2011-04-27 08:30:01 EDT
$ rpmlint -v *
surf-geometry.src: I: checking
surf-geometry.src: W: spelling-error %description -l en_US codimension -> co dimension, co-dimension, dimensional
surf-geometry.src: I: checking-url http://surf.sourceforge.net/ (timeout 10 seconds)
surf-geometry.src: I: checking-url http://downloads.sourceforge.net/project/surf/surf/1.0.6/surf-1.0.6.tar.gz (timeout 10 seconds)
surf-geometry.spec: I: checking-url http://downloads.sourceforge.net/project/surf/surf/1.0.6/surf-1.0.6.tar.gz (timeout 10 seconds)
1 packages and 1 specfiles checked; 0 errors, 1 warnings.

Just a little spelling error.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3029609

The build fails due to problems in the autoconf stack:

configure.in:142: warning: macro `AM_PATH_GTK' not found in library
configure.in:142: error: possibly undefined macro: AM_PATH_GTK
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.

(from build.log, see http://koji.fedoraproject.org/koji/getfile?taskID=3029610&name=build.log)
Comment 2 Jerry James 2011-04-27 12:16:08 EDT
Actually, "codimension" is correct, but the standard dictionary does not contain such mathematical terminology.

As for the autoconf problem ... yes, that's been the story of this package. :-)  I believe I have it fixed now.  (A mock build succeeds.)  Here is the new version:

http://jjames.fedorapeople.org/surf-geometry/surf-geometry.spec
http://jjames.fedorapeople.org/surf-geometry/surf-geometry-1.0.6-2.fc14.src.rpm
Comment 3 Mario Blättermann 2011-04-28 16:19:28 EDT
Koji scratch build is successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3034200

$ rpmlint -v *
surf-geometry.src: I: checking
surf-geometry.src: W: spelling-error %description -l en_US codimension -> co dimension, co-dimension, dimensional
surf-geometry.src: I: checking-url http://surf.sourceforge.net/ (timeout 10 seconds)
surf-geometry.src: I: checking-url http://downloads.sourceforge.net/project/surf/surf/1.0.6/surf-1.0.6.tar.gz (timeout 10 seconds)
surf-geometry.i686: I: checking
surf-geometry.i686: W: spelling-error %description -l en_US codimension -> co dimension, co-dimension, dimensional
surf-geometry.i686: I: checking-url http://surf.sourceforge.net/ (timeout 10 seconds)
surf-geometry.i686: E: incorrect-fsf-address /usr/share/doc/surf-geometry-1.0.6/COPYING
surf-geometry.i686: W: no-manual-page-for-binary surf-geometry
surf-geometry-debuginfo.i686: I: checking
surf-geometry-debuginfo.i686: I: checking-url http://surf.sourceforge.net/ (timeout 10 seconds)
surf-geometry.spec: I: checking-url http://downloads.sourceforge.net/project/surf/surf/1.0.6/surf-1.0.6.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 1 errors, 3 warnings.

The warnings are related to a false positive spelling error. The wrong FSF address I have already encountered recently in bug #699586. Well, it doesn't affect the build process, but it's worth an upstream bug.

The gtk+ requirement is odd, but you have explained this in the ChangeLog. But as far I know, gtk+-devel requires X11-devel. In my mind, no need to mention it explicitely.
Comment 4 Jerry James 2011-04-28 18:48:07 EDT
Good point.  But I'm starting to think that I should solve the problem another way.  I think I should do the autoreconf step on some machine with gtk+-devel installed, to pick up the AM_PATH_GTK definition, then generate a (probably rather large) patch against the whole autoconf infrastructure.  That way, we can do away with the gtk+-devel BR, leaving just the libX11-devel BR.

I'll let upstream know about the FSF address problem.

I'll post new URLs when I finish all this.
Comment 5 Jerry James 2011-04-29 19:00:27 EDT
As predicted, the -configure patch got big, but we can drop the gtk+-devel and automake BRs now.  New URLs:

http://jjames.fedorapeople.org/surf-geometry/surf-geometry.spec
http://jjames.fedorapeople.org/surf-geometry/surf-geometry-1.0.6-3.fc14.src.rpm
Comment 6 Mario Blättermann 2011-05-08 06:51:14 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3057965

$ rpmlint -v *
surf-geometry.src: I: checking
surf-geometry.src: W: spelling-error %description -l en_US codimension -> co dimension, co-dimension, dimensional
surf-geometry.src: I: checking-url http://surf.sourceforge.net/ (timeout 10 seconds)
surf-geometry.src: I: checking-url http://downloads.sourceforge.net/project/surf/surf/1.0.6/surf-1.0.6.tar.gz (timeout 10 seconds)
surf-geometry.i686: I: checking
surf-geometry.i686: W: spelling-error %description -l en_US codimension -> co dimension, co-dimension, dimensional
surf-geometry.i686: I: checking-url http://surf.sourceforge.net/ (timeout 10 seconds)
surf-geometry.i686: E: incorrect-fsf-address /usr/share/doc/surf-geometry-1.0.6/COPYING
surf-geometry.i686: W: no-manual-page-for-binary surf-geometry
surf-geometry-debuginfo.i686: I: checking
surf-geometry-debuginfo.i686: I: checking-url http://surf.sourceforge.net/ (timeout 10 seconds)
surf-geometry.spec: I: checking-url http://downloads.sourceforge.net/project/surf/surf/1.0.6/surf-1.0.6.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 1 errors, 3 warnings.

OK so far.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    598142168e940a818c7b5a7a66b35082  surf-1.0.6.tar.gz
    598142168e940a818c7b5a7a66b35082  surf-1.0.6.tar.gz.packaged
[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[x] MUST: A package must own all directories that it creates.
    %{_datadir}/surf-geometry
    just put a / after this entry to let the package own this folder and its content.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.
Comment 7 Jerry James 2011-05-09 17:00:52 EDT
Thanks for the review, Mario.

(In reply to comment #6)
> [x] MUST: A package must own all directories that it creates.
>     %{_datadir}/surf-geometry
>     just put a / after this entry to let the package own this folder and its
> content.

I don't understand.  I have this in %files:

%{_datadir}/surf-geometry

and after installing, I see that that directory is owned:

$ rpm -ql surf-geometry
/usr/bin/surf-geometry
/usr/share/doc/surf-geometry-1.0.6
/usr/share/doc/surf-geometry-1.0.6/AUTHORS
/usr/share/doc/surf-geometry-1.0.6/COPYING
/usr/share/doc/surf-geometry-1.0.6/ChangeLog
/usr/share/doc/surf-geometry-1.0.6/NEWS
/usr/share/doc/surf-geometry-1.0.6/README
/usr/share/doc/surf-geometry-1.0.6/TODO
/usr/share/doc/surf-geometry-1.0.6/background.pic
/usr/share/doc/surf-geometry-1.0.6/manual-1.html
/usr/share/doc/surf-geometry-1.0.6/manual-2.html
/usr/share/doc/surf-geometry-1.0.6/manual-3.html
/usr/share/doc/surf-geometry-1.0.6/manual-4.html
/usr/share/doc/surf-geometry-1.0.6/manual.html
/usr/share/man/man1/surf.1.gz
/usr/share/mime/packages/surf.xml
/usr/share/surf-geometry
/usr/share/surf-geometry/surf.xpm
Comment 8 Jerry James 2011-05-24 13:57:31 EDT
Mario, can we finish this review?  I've shown you that the one issue you marked as needing work doesn't really need work.  Is there anything else?
Comment 9 Mario Blättermann 2011-05-24 15:53:23 EDT
Sorry, I forget about this. But I've less time left for the packaging things last time. From my side, all is OK now. Regarding the directory ownership I was a bit mislead by the packaging guidelines which show a slash appended to the folder path.

----------------

PACKAGE APPROVED

----------------
Comment 10 Mario Blättermann 2011-07-31 16:49:18 EDT
After some weeks, I would expect a SCM request from reporter's side.
Comment 11 Marcus Moeller 2011-08-10 13:29:31 EDT
+1, really would like to see this package in Fedora ;)
Comment 12 Mario Blättermann 2011-08-10 13:51:55 EDT
(In reply to comment #11)
> +1, really would like to see this package in Fedora ;)

Yes, and I could review surfer, which depends on surf-geometry...
Comment 13 Mario Blättermann 2011-10-30 08:41:45 EDT
The package has been approved, but the packager doesn't response for a long time. Don't know if we should close the bug report (and #700587 too, which depends on it and came from the same packager).
Comment 14 Mario Blättermann 2012-07-28 11:39:29 EDT
Because we didn't get a response from the packager within a reasonable time, I will close this bug now.
Comment 15 Mario Blättermann 2012-07-28 12:17:16 EDT

*** This bug has been marked as a duplicate of bug 840244 ***